summaryrefslogtreecommitdiffstats
path: root/source/xap/geeqie
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/xap/geeqie
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/xap/geeqie')
-rwxr-xr-xsource/xap/geeqie/geeqie.SlackBuild28
-rw-r--r--source/xap/geeqie/slack-desc2
2 files changed, 21 insertions, 9 deletions
diff --git a/source/xap/geeqie/geeqie.SlackBuild b/source/xap/geeqie/geeqie.SlackBuild
index 2c0851b4d..6dffa6fe5 100755
--- a/source/xap/geeqie/geeqie.SlackBuild
+++ b/source/xap/geeqie/geeqie.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2010, 2011, 2012 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2010, 2011, 2012, 2015, 2016 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,15 +22,25 @@
# Modified by the SlackBuilds.org project
-
PKGNAM=geeqie
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+CWD=$(pwd)
+# Download the geeqie Git head if there's no tarball:
+if ! /bin/ls $CWD/geeqie*tar* 1> /dev/null 2> /dev/null ; then
+ git clone git://www.geeqie.org/geeqie.git
+ mv geeqie geeqie-$(date +%Y%m%d)git
+ tar --exclude-vcs -cf geeqie-$(date +%Y%m%d)git.tar geeqie-$(date +%Y%m%d)git
+ xz -9 geeqie-$(date +%Y%m%d)git.tar
+ rm -r $CWD/geeqie-$(date +%Y%m%d)git
+fi
+
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -39,8 +49,8 @@ fi
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -D_FILE_OFFSET_BITS=64 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -D_FILE_OFFSET_BITS=64 -march=i586 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -D_FILE_OFFSET_BITS=64 -march=i686"
elif [ "$ARCH" = "s390" ]; then
@@ -51,7 +61,6 @@ else
SLKCFLAGS="-O2 -D_FILE_OFFSET_BITS=64"
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
rm -rf $PKG
@@ -59,8 +68,9 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
cd $PKGNAM-$VERSION || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -68,6 +78,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+autoreconf -f -i ; intltoolize
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/xap/geeqie/slack-desc b/source/xap/geeqie/slack-desc
index 7371d160b..16a0d9923 100644
--- a/source/xap/geeqie/slack-desc
+++ b/source/xap/geeqie/slack-desc
@@ -12,7 +12,7 @@ geeqie: Geeqie is an interactive GTK based image viewer that supports multiple
geeqie: image formats, zooming, panning, thumbnails, and sorting images into
geeqie: collections.
geeqie:
-geeqie: Homepage: http://geeqie.sourceforge.net
+geeqie: Homepage: http://www.geeqie.org
geeqie:
geeqie:
geeqie: